#! /bin/sh
#
# start or stop the plptools daemons
#

PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON1=/usr/sbin/ncpd
DAEMON2=/usr/sbin/plpnfsd
DAEMON3=/usr/sbin/plpprintd
NAME=plptools
DESC=plptools
CONFIG=/etc/plptools.conf

test -x $DAEMON1 || exit 0
test -x $DAEMON2 || exit 0
test -x $DAEMON3 || exit 0
test -f $CONFIG && . $CONFIG || exit 0

set -e

case "$1" in
  start)
	if test "$START_NCPD" = "yes" ; then
		echo -n "Starting $DESC ($DAEMON1): "
		start-stop-daemon --start --quiet \
			--exec $DAEMON1 -- $NCPD_ARGS && \
				echo -n "done" || echo -n "failed"
		echo "."
		sleep 1
	fi
	if test "$START_PLPNFSD" = "yes" ; then
		echo -n "Starting $DESC ($DAEMON2): "
		start-stop-daemon --start --quiet \
			--exec $DAEMON2 -- $PLPNFSD_ARGS && \
			echo -n "done" || echo -n "failed"
		echo "."
	fi
	if test "$START_PLPPRINTD" = "yes" ; then
		echo -n "Starting $DESC ($DAEMON3): "
		start-stop-daemon --start --quiet \
			--exec $DAEMON3 -- $PLPPRINTD_ARGS && \
			echo -n "done" || echo -n "failed"
		echo "."
	fi
	;;
  stop)
	if test "$START_PLPNFSD" = "yes" ; then
		echo -n "Stopping $DESC ($DAEMON2): "
		start-stop-daemon --stop --schedule HUP/5/TERM/1 --quiet \
				--exec $DAEMON2 && \
			echo -n "done" || echo -n "already stopped"
		echo "."
	fi
	if test "$START_PLPPRINTD" = "yes" ; then
		echo -n "Stopping $DESC ($DAEMON3): "
		start-stop-daemon --stop --quiet --exec $DAEMON3 && \
			echo -n "done" || echo -n "already stopped"
		echo "."
	fi
	if test "$START_NCPD" = "yes" ; then
		echo -n "Stopping $DESC ($DAEMON1): "
		start-stop-daemon --stop --quiet --exec $DAEMON1 && \
			echo -n "done" || echo -n "already stopped"
		echo "."
	fi

	;;
  #reload)
	#
	#	If the daemon can reload its config files on the fly
	#	for example by sending it SIGHUP, do it here.
	#
	#	If the daemon responds to changes in its config file
	#	directly anyway, make this a do-nothing entry.
	#
	# echo "Reloading $DESC configuration files."
	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
	#	/var/run/$NAME.pid --exec $DAEMON
  #;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	$0 stop
	sleep 1
	$0 start
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
